#!/bin/sh
# shellscript will take PSUMIP patches and attempt to
# convert stock BSD kernel into patched kernel.
# note:
# suggest you run script before you run this shellscript to
#	catch patch failures if any.
#

# set to directory above kernel you wish to patch
# IMPORTANT directory must be named "sys"
# you must make patch run in directory above it
# E.g., we find /usr/src/sys in /usr/src/ 
#
KERNELDIR=/usr/src/

# set to directory path for individual supplied patch
# files (all end in *patch)
PATCHDIR=/usr/src/kernel.patches

##########################################

cd $KERNELDIR;

patch < $PATCHDIR/conf+files+patch
patch < $PATCHDIR/conf+options+patch
patch < $PATCHDIR/net+if_ethersubr.c+patch
patch < $PATCHDIR/net+route.c+patch
patch < $PATCHDIR/net+route.h+patch
patch < $PATCHDIR/netinet+if_ether.c+patch
patch < $PATCHDIR/netinet+in.h+patch
patch < $PATCHDIR/netinet+in_pcb.c+patch
patch < $PATCHDIR/netinet+ip_encap.c+patch
patch < $PATCHDIR/netinet+ip_input.c+patch
patch < $PATCHDIR/netinet+ip_mroute.c+patch
patch < $PATCHDIR/netinet+ip_output.c+patch
patch < $PATCHDIR/netinet+ip_var.h+patch
patch < $PATCHDIR/sys+mbuf.h+patch

#
echo "fixup any failed patches"
echo "cp supplied if_mvif.[h,c] files to netinet/if_mvif[h,c]"
echo "if_mvif files are found in supplied kernel in src/sys/netinet dir"
echo "should be able to build option=PSU_MIP kernel"
echo "cp/see supplied kernel src/sys/i386/conf/PSUMIP for config example"
